LinuxQuestions.org
Did you know LQ has a Linux Hardware Compatibility List?
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices

Reply
 
Search this Thread
Old 04-06-2009, 11:45 AM   #1
spazmatic
LQ Newbie
 
Registered: Apr 2009
Posts: 1

Rep: Reputation: 0
Compile Curl module with openssl


My shopping cart software (Interspire) tells me it needs this in order to setup the authorize.net payment system plugin:

"This module requires the php curl module to be compiled with openssl support or the php openssl module to be loaded. Please contact your hosting provider to ask them to do this to be able to use this module."

Can you recompile this? I tried out of WHM then I tried the following command:
Code:
 ./configure prefix=/usr/local with ssl=/usr/include/openssl
After it installed it returned this:
Code:
curl version: 7.19.0
Host setup: i686-pc-linux-gnu
Install prefix: /usr/local
Compiler: gcc
SSL support: enabled (OpenSSL)
SSH support: no (--with-libssh2)
zlib support: enabled
krb4 support: no (--with-krb4*)
GSSAPI support: no (--with-gssapi)
SPNEGO support: no (--with-spnego)
c-ares support: no (--enable-ares)
ipv6 support: enabled
IDN support: no (--with-libidn)
Build libcurl: Shared=yes, Static=yes
Built-in manual: enabled
Verbose errors: enabled (--disable-verbose)
SSPI support: no (--enable-sspi)
ca cert bundle: /etc/pki/tls/certs/ca-bundle.crt
ca cert path: no
LDAP support: no (--enable-ldap / --with-ldap-lib / --with-lber-lib)
LDAPS support: no (--enable-ldaps)
----------end----

But the cart still tells me it's not there. Can anyone offer a little guidance?
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
How to compile OpenSSL under Solaris 8? johncsl82 Solaris / OpenSolaris 3 02-06-2009 05:55 AM
OpenSSL & Compile Errors digital14 Linux - Desktop 7 03-10-2008 04:50 AM
PostgreSQL and openssl don't compile right zecster Linux - Software 1 04-18-2006 10:48 PM
Compile PHP to use Curl pimp1911 Linux - Software 3 09-24-2004 08:56 AM
compile php with openssl problem rmang Linux - Software 1 01-23-2004 09:14 AM


All times are GMT -5. The time now is 05:19 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration